name: Swaous.Asuscomm Build
run-name: building swaous.asuscomm.com
on: [push]

jobs:
  Build-Docker-Image:
    runs-on: ubuntu-latest
    steps:
      - name: Pull repo
        uses: actions/checkout@v4
      - name: Login to Docker Hub
        uses: docker/login-action@v3
        with:
          registry: docker.clarkeis.com
          username: ${{ secrets.DOCKER_USERNAME }}
          password: ${{ secrets.DOCKER_PASSWORD }}
      - name: Build
        run: |
          docker build -t docker.clarkeis.com/swaous.asuscomm.com:latest .
          docker push docker.clarkeis.com/swaous.asuscomm.com:latest
